(*

For a set of parameter values resident in memory, calculate
whether impatience condition is satisfied

*)

ImpatienceCondition = Sum[
    (G[[LifePosn+1]] PermShockVals[[j]])^(-rho)(R beta) PermShockProbs[[j]]
    ,{j,Length[PermShockVals]}
   ];
   
Print["Impatience condition:", ImpatienceCondition];
