(*

Create a function that produces a file containing the results of the simulations

*)

MakeDataFile[filename_] := 
Block[{},
  DeleteFile[filename];
  OpenWrite[filename,FormatType->OutputForm,PageWidth->Infinity];
  Write[filename,
    "cGrowth\tY\tYtm1\tInterestRate\txVal\txValtm1\tShock\tShockm1\tIncome\tPermanentIncome\t"<>DummyVarName<>"\tPerson\tPeriod\tEcg\tEcgtm1\tEcgsq\tEcgsqtm1\tcLevel"];
  Do[
    Do[
      Write[filename,
                ToString[FortranForm[cGrowthList[[i,j]]]]
        <>"\t"<>ToString[FortranForm[yList[[i,j]]]]
        <>"\t"<>ToString[FortranForm[yList[[i-1,j]]]]
        <>"\t"<>ToString[FortranForm[InterestRateList[[i,j]]]]
        <>"\t"<>ToString[FortranForm[xtList[[i,j]]]]
        <>"\t"<>ToString[FortranForm[xtList[[i-1,j]]]]
        <>"\t"<>ToString[FortranForm[TranShockDrawsList[[i,j]]]]
        <>"\t"<>ToString[FortranForm[TranShockDrawsList[[i-1,j]]]]
        <>"\t"<>ToString[FortranForm[yList[[i,j]]]]
        <>"\t"<>ToString[FortranForm[PermIncList[[i,j]]]]
        <>"\t"<>ToString[FortranForm[1]]
        <>"\t"<>ToString[j]
        <>"\t"<>ToString[i]
        <>"\t"<>ToString[FortranForm[EcgValList[[i,j]]]]
        <>"\t"<>ToString[FortranForm[EcgValList[[i-1,j]]]]
        <>"\t"<>ToString[FortranForm[EcgsqValList[[i,j]]]]
        <>"\t"<>ToString[FortranForm[EcgsqValList[[i-1,j]]]]
        <>"\t"<>ToString[FortranForm[ctList[[i,j]] PermIncList[[i,j]]]]
      ];
    ,{j,NumToSimulate}]
  ,{i,FirstPeriodToKeep,LastPeriod}]; (* End Do over observations to keep *)

  Close[filename];
];                               (* End Block               *)

