capture program drop tableerg

program define tableerg

display "Table etaOnRG10k."
clear
use etaOnRG10k1
quietly summarize rcoeff, detail

capture g crbar = _result(3)
capture g cr05 = _result(7)
capture g cr95 = _result(13)

quietly summarize srcoeff, detail
capture g srbar = _result(3)
capture g sr05 = _result(7)
capture g sr95 = _result(13)

quietly summarize nobs
capture g nobsbar = int(_result(3)+0.5)

quietly summarize gcoeff, detail
capture g ygbar = _result(3)
capture g yg05 = _result(7)
capture g yg95 = _result(13)

quietly summarize sgcoeff, detail
capture g sygbar = _result(3)
capture g syg05 = _result(7)
capture g syg95 = _result(13)

quietly summarize nobs
capture g nobsbar = int(_result(3)+0.5)

display " " %3.2f crbar "  > & > [" %3.2f cr05 "," %3.2f cr95 "] > & > " %3.2f ygbar  "  > & > [" %3.2f  yg05 "," %3.2f  yg95 "] > & > "  %4.0f nobsbar
display "(" %3.2f srbar ") > & > (" %3.2f sr05 "," %3.2f sr95 ") > & >(" %3.2f sygbar ") > & > (" %3.2f syg05 "," %3.2f syg95 ") > & > " 

clear
use etaOnRG10k2
quietly summarize rcoeff, detail

capture g crbar = _result(3)
capture g cr05 = _result(7)
capture g cr95 = _result(13)

quietly summarize srcoeff, detail
capture g srbar = _result(3)
capture g sr05 = _result(7)
capture g sr95 = _result(13)

quietly summarize nobs
capture g nobsbar = int(_result(3)+0.5)

quietly summarize gcoeff, detail
capture g ygbar = _result(3)
capture g yg05 = _result(7)
capture g yg95 = _result(13)

quietly summarize sgcoeff, detail
capture g sygbar = _result(3)
capture g syg05 = _result(7)
capture g syg95 = _result(13)

quietly summarize nobs
capture g nobsbar = int(_result(3)+0.5)

display " " %3.2f crbar "  > & > [" %3.2f cr05 "," %3.2f cr95 "] > & >"  %3.2f ygbar  "  > & > [" %3.2f  yg05 "," %3.2f  yg95 "] > & > "  %4.0f nobsbar
display "(" %3.2f srbar ") > & > (" %3.2f sr05 "," %3.2f sr95 ") > & >(" %3.2f sygbar ") > & > (" %3.2f syg05 "," %3.2f syg95 ") > & > " 


end

capture log close
log using etaOnRG_table_10k.txt,replace
log off
set log linesize 132
set log pagesize 32000
log on
tableerg
log close
