
capture program drop tablexon

program define tablexon

clear

use x10konr

quietly summarize r,detail
capture g coeffbar = _result(3)
capture g coeff05  = _result(7)
capture g coeff95  = _result(13)

quietly summarize sr,detail
capture g stderbar = _result(3)
capture g stder05  = _result(7)
capture g stder95  = _result(13)

quietly summarize nobs,detail
capture g nobsbar = int(_result(3)+.5)

quietly summarize rsq,detail
capture g rsqbar = _result(3)


display " " %3.2f coeffbar "  > & > [" %3.2f coeff05 "," %3.2f coeff95 "] > & >" %4.0f nobsbar " > & > " %3.2f rsqbar
display "(" %3.2f stderbar ") > & > (" %3.2f stder05 "," %3.2f stder95 ") > & > > & " 

clear
use x10kong

quietly summarize g,detail
capture g coeffbar = _result(3)
capture g coeff05  = _result(7)
capture g coeff95  = _result(13)

quietly summarize sg,detail
capture g stderbar = _result(3)
capture g stder05  = _result(7)
capture g stder95  = _result(13)

quietly summarize nobs,detail
capture g nobsbar = int(_result(3)+.5)

quietly summarize rsq,detail
capture g rsqbar = _result(3)


display " " %3.2f coeffbar "  > & > [" %3.2f coeff05 "," %3.2f coeff95 "] > & >" %4.0f nobsbar " > & > " %3.2f rsqbar
display "(" %3.2f stderbar ") > & > (" %3.2f stder05 "," %3.2f stder95 ") > & > > & " 


clear
use x10konep

quietly summarize ep,detail
capture g coeffbar = _result(3)
capture g coeff05  = _result(7)
capture g coeff95  = _result(13)

quietly summarize sep,detail
capture g stderbar = _result(3)
capture g stder05  = _result(7)
capture g stder95  = _result(13)

quietly summarize nobs,detail
capture g nobsbar = int(_result(3)+.5)

quietly summarize rsq,detail
capture g rsqbar = _result(3)


display " " %3.2f coeffbar "  > & > [" %3.2f coeff05 "," %3.2f coeff95 "] > & >" %4.0f nobsbar " > & > " %3.2f rsqbar
display "(" %3.2f stderbar ") > & > (" %3.2f stder05 "," %3.2f stder95 ") > & > > & " 

clear
use x10konet

quietly summarize et,detail
capture g coeffbar = _result(3)
capture g coeff05  = _result(7)
capture g coeff95  = _result(13)

quietly summarize set,detail
capture g stderbar = _result(3)
capture g stder05  = _result(7)
capture g stder95  = _result(13)

quietly summarize nobs,detail
capture g nobsbar = int(_result(3)+.5)

quietly summarize rsq,detail
capture g rsqbar = _result(3)


display " " %3.2f coeffbar "  > & > [" %3.2f coeff05 "," %3.2f coeff95 "] > & >" %4.0f nobsbar " > & > " %3.2f rsqbar
display "(" %3.2f stderbar ") > & > (" %3.2f stder05 "," %3.2f stder95 ") > & > > & " 

clear
use x10konrh 

quietly summarize rho,detail
capture g coeffbar = _result(3)
capture g coeff05  = _result(7)
capture g coeff95  = _result(13)

quietly summarize srho,detail
capture g stderbar = _result(3)
capture g stder05  = _result(7)
capture g stder95  = _result(13)

quietly summarize nobs,detail
capture g nobsbar = int(_result(3)+.5)

quietly summarize rsq,detail
capture g rsqbar = _result(3)


display " " %4.3f coeffbar "  > & > [" %4.3f coeff05 "," %4.3f coeff95 "] > & >" %4.0f nobsbar " > & > " %3.2f rsqbar
display "(" %4.3f stderbar ") > & > (" %4.3f stder05 "," %4.3f stder95 ") > & > > & >" 


end

clear

capture log close
log using xonstuff_table_10k.txt,replace
log off
set log linesize 132
set log pagesize 32000
log on

tablexon
log close
