capture program drop indcalcs 
program define indcalcs

quietly summarize cgsq, detail

capture g cgsqbar = _result(3)
capture g cgsq05 = _result(7)
capture g cgsq95 = _result(13)

quietly summarize scgsq, detail
capture g scgsqbar = _result(3)
capture g scgsq05 = _result(7)
capture g scgsq95 = _result(13)

quietly summarize nobs
capture g nobsbar = int(_result(3)+.5)

display " " %3.2f cgsqbar  "  > & > [" %3.2f cgsq05 "," %3.2f cgsq95 "] > & >" %4.0f nobsbar
display "(" %3.2f scgsqbar ") > & > (" %3.2f scgsq05 "," %3.2f scgsq95 ") > & > " 

clear

end

capture program drop tableind

program define tableind

clear
use i10kbase
indcalcs
use i10kr00
indcalcs
use i10kr04
indcalcs
use i10kd00
indcalcs
use i10kd08
indcalcs
use i10kg02
indcalcs
use i10kg06
indcalcs
use i10krho1
indcalcs
use i10krho5
indcalcs
use i10ket05
indcalcs
use i10ket15
indcalcs
use i10kep05
indcalcs
use i10kep15
indcalcs
use i10kIV
indcalcs
use i10kIVr0
indcalcs
use i10kIVr4
indcalcs

end

capture log close
log using indivsecondorder_table_10k.txt,replace
log off
set log linesize 132
set log pagesize 32000
log on

tableind
log close