
(* Construct the possible values of the shock to income *)

{TranShockVals,TranShockProbs} = DiscreteApproxToMeanOneLogNormal[sigmaTran,NumOfTranShockPoints];

ZeroProb = 0.005;


If[ZeroProb>0,
  (* then modify the shocks and probabilities to incorporate the zero risk *)
  TranShockVals = TranShockVals/(1-ZeroProb);
  TranShockVals = Prepend[TranShockVals,0];
  TranShockProbs = TranShockProbs*(1-ZeroProb);
  TranShockProbs = Prepend[TranShockProbs,ZeroProb];
];

{PermShockVals,PermShockProbs} = DiscreteApproxToMeanOneLogNormal[sigmaPerm,NumOfPermShockPoints];


UnempProb = 0;